Retrieve a verification
curl --request GET \
--url https://api-sandbox.argyle.com/partners/v2/verifications/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/partners/v2/verifications/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/partners/v2/verifications/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "43a2c6c3-1e63-91e5-88e3-f9ab2dcc489b",
"user": "018051aa-f7a9-a0db-2f38-6cfa325e9d69",
"client": "39096494-45c8-4fd8-9454-3d1cb2d62db7",
"created_at": "2023-03-09T16:22:06.081Z",
"updated_at": "2023-03-09T16:22:06.081Z",
"channel": "api",
"status": {
"state": "PROCESSING",
"code": "authenticated",
"errors": []
},
"report": {
"id": null,
"type": "voai",
"file_url": null,
"json_url": null,
"configuration": {
"from_date": "2024-01-01T00:00:00Z",
"income_stream_confidence_minimum": 50,
"report_custom_fields": [
{
"label": "loanID",
"value": "12345",
"shown": true
}
]
}
},
"employments": [],
"loan": {
"number": "1234",
"borrower_id": "ABC789",
"application_id": "2121313",
"officer_email": "john.doe@mortgage.com"
},
"billing": {
"cost_center": "5"
},
"data_source": "banking"
}Partners Verifications
Retrieve a verification
Retrieves a verification.
GET
/
partners
/
v2
/
verifications
/
{id}
Retrieve a verification
Authorizations
Username = api_key_id, Password = api_key_secret
Path Parameters
ID of the verification to be retrieved.
Response
200 - application/json
Unique ID of the verification.
ID of the user associated with the verification.
ID of the client on whose behalf the verification was requested.
Origin of the verification order.
Available options:
api, encompass Example:
"api"
Verification status information.
Show child attributes
Show child attributes
Report information.
Show child attributes
Show child attributes
List of employments for the user. Documents only.
Show child attributes
Show child attributes
Optional loan details for regular payroll and mortgage verification workflows.
Show child attributes
Show child attributes
Optional billing details for regular payroll and mortgage verification workflows.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Source of verification data.
Available options:
payroll, banking, documents